Update a notification group.
PUT
/notification_group/{notification_group_id}
const url = 'https://api.siteqwality.com/notification_group/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0';const options = { method: 'PUT', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"friendly_name":"example","delay_send_after_minutes":1,"resend_every_minutes":1}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://api.siteqwality.com/notification_group/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "friendly_name": "example", "delay_send_after_minutes": 1, "resend_every_minutes": 1 }'Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” notification_group_id
required
string format: uuid
Notification group identifier
Request Body required
Section titled “Request Body required ” Media type application/json
object
friendly_name
string | null
delay_send_after_minutes
integer | null format: int32
resend_every_minutes
integer | null format: int32
Example generated
{ "friendly_name": "example", "delay_send_after_minutes": 1, "resend_every_minutes": 1}Responses
Section titled “ Responses ”Notification group updated
Invalid request body
Missing or invalid authentication
Notification group not found
Internal server error